Page MenuHomePhabricator

CirrusSearch fatal
Closed, ResolvedPublic

Description

I get an error when I visit http://en.m.wikipedia.beta.wmflabs.org/w/index.php?search=Test%20is%20used%20by%20Selenium%20web%20driver

Error is:

Exception encountered, of type "BadMethodCallException"
[d3566207] /w/index.php?search=Test%20is%20used%20by%20Selenium%20web%20driver BadMethodCallException from line 85 of /srv/mediawiki/php-master/extensions/CirrusSearch/includes/InterwikiSearcher.php: Call to a member function get() on a non-object (NULL)
Backtrace:
#0 /srv/mediawiki/php-master/extensions/CirrusSearch/includes/CirrusSearch.php(373): CirrusSearch\InterwikiSearcher->getInterwikiResults(string)
#1 /srv/mediawiki/php-master/extensions/CirrusSearch/includes/CirrusSearch.php(126): CirrusSearch->searchTextReal(string, NULL)
#2 /srv/mediawiki/php-master/includes/specials/SpecialSearch.php(273): CirrusSearch->searchText(string)
#3 /srv/mediawiki/php-master/includes/specials/SpecialSearch.php(217): SpecialSearch->showResults(string)
#4 /srv/mediawiki/php-master/includes/specials/SpecialSearch.php(133): SpecialSearch->goResult(string)
#5 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(407): SpecialSearch->execute(NULL)
#6 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(565): SpecialPage->run(NULL)
#7 /srv/mediawiki/php-master/includes/MediaWiki.php(282): SpecialPageFactory::executePath(Title, RequestContext)
#8 /srv/mediawiki/php-master/includes/MediaWiki.php(738): MediaWiki->performRequest()
#9 /srv/mediawiki/php-master/includes/MediaWiki.php(519): MediaWiki->main()
#10 /srv/mediawiki/php-master/index.php(43): MediaWiki->run()
#11 /srv/mediawiki/w/index.php(3): include(string)
#12 {main}

Event Timeline

Jdlrobson updated the task description. (Show Details)
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson added a project: CirrusSearch.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a project: Discovery. · View Herald TranscriptFeb 11 2016, 9:59 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

Change 270117 had a related patch set uploaded (by EBernhardson):
Replace usage of wgMemc with ObjectCache::getLocalClusterInstance()

https://gerrit.wikimedia.org/r/270117

Do we know what broke this?

not really sure, wgMemc still looks to exist in core (at least, i don't see a recent commit that removes it).

It's good hygiene to stop using $wgMemc anyways, its not even guaranteed to be memcache.

Deskana triaged this task as Normal priority.Feb 11 2016, 11:11 PM
Deskana added a subscriber: Deskana.

Change 270117 merged by jenkins-bot:
Replace usage of wgMemc with ObjectCache::getLocalClusterInstance()

https://gerrit.wikimedia.org/r/270117

phuedx added a subscriber: phuedx.Feb 15 2016, 7:36 AM

Despite 270117 being deployed to the Beta Cluster, I still see the exception if I navigate to https://en.m.wikipedia.beta.wmflabs.org/w/index.php?search=Test+is+used+by+Selenium+web+driver.

Change 271027 had a related patch set uploaded (by EBernhardson):
Provide access to SearchConfig in InterwikiSearcher

https://gerrit.wikimedia.org/r/271027

Change 271027 abandoned by EBernhardson:
Provide access to SearchConfig in InterwikiSearcher

Reason:
wrong solution

https://gerrit.wikimedia.org/r/271027

Change 271049 had a related patch set uploaded (by EBernhardson):
Allow access to $config from extending classes

https://gerrit.wikimedia.org/r/271049

Change 271049 merged by jenkins-bot:
Allow access to $config from extending classes

https://gerrit.wikimedia.org/r/271049

Change 271071 had a related patch set uploaded (by EBernhardson):
Allow access to $config from extending classes

https://gerrit.wikimedia.org/r/271071

Change 271071 merged by jenkins-bot:
Allow access to $config from extending classes

https://gerrit.wikimedia.org/r/271071

Jdlrobson closed this task as Resolved.Feb 16 2016, 9:50 PM

Thanks guys!